/*
 * ail
 *
 * Copyright (c) 2000 - 2011 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Contact: Jayoun Lee <airjany@samsung.com>, Sewook Park <sewook7.park@samsung.com>, Jaeho Lee <jaeho81.lee@samsung.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */


#ifndef __AIL_VCONF_H__
#define __AIL_VCONF_H__

#include <vconf.h>

#if !defined(NO_VCONF_BUXTON_FALLBACK)

char *ail_vconf_get_str(const char *keyname);
int ail_vconf_set_str(const char *keyname, const char *strval);

#else

#define ail_vconf_get_str  vconf_get_str
#define ail_vconf_set_str  vconf_set_str

#endif

#endif

